{#
/**
 * @file
 * Theme override for a main view template.
 *
 * Available variables:
 * - attributes: Remaining HTML attributes for the element.
 * - css_name: A CSS-safe version of the view name.
 * - css_class: The user-specified classes names, if any.
 * - header: The optional header.
 * - footer: The optional footer.
 * - rows: The results of the view query, if any.
 * - empty: The content to display if there are no rows.
 * - pager: The optional pager next/prev links to display.
 * - exposed: Exposed widget form/info to display.
 * - feed_icons: Optional feed icons to display.
 * - more: An optional link to the next page of results.
 * - title: Title of the view, only used when displaying in the admin preview.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the view title.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the view title.
 * - attachment_before: An optional attachment view to be displayed before the
 *   view content.
 * - attachment_after: An optional attachment view to be displayed after the
 *   view content.
 * - dom_id: Unique id for every view being printed to give unique class for
 *   Javascript.
 *
 * @see template_preprocess_views_view()
 */
#}
{%
  set classes = [
    'view',
    'view-' ~ id|clean_class,
    'view-id-' ~ id,
    'view-display-id-' ~ display_id,
    dom_id ? 'js-view-dom-id-' ~ dom_id,
  ]
%}
{% set url = url('<current>') %}
<div{{ attributes.addClass(classes) }}>
  {{ title_prefix }}
  {% if title %}
    {{ title }}
  {% endif %}
  {{ title_suffix }}
  {% if header.area_text_custom %}
    {{ header.area_text_custom }}
    <div class="taxonomy-header">
      {{ header.view }}
    </div>
  {% else %}
    <div class="view-header">
      {{ header }}
      
      <div class="display_selector__container">
        <a href="{{ url }}?{{ display_list_url }}" class="list"><svg class="svg-inline--fa fa-list fa-w-16" aria-hidden="true" focusable="false" data-prefix="fa" data-icon="list" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" data-fa-i2svg=""><path fill="currentColor" d="M80 368H16a16 16 0 0 0-16 16v64a16 16 0 0 0 16 16h64a16 16 0 0 0 16-16v-64a16 16 0 0 0-16-16zm0-320H16A16 16 0 0 0 0 64v64a16 16 0 0 0 16 16h64a16 16 0 0 0 16-16V64a16 16 0 0 0-16-16zm0 160H16a16 16 0 0 0-16 16v64a16 16 0 0 0 16 16h64a16 16 0 0 0 16-16v-64a16 16 0 0 0-16-16zm416 176H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-320H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16V80a16 16 0 0 0-16-16zm0 160H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z"></path></svg><!-- <i class="fa fa-list" aria-hidden="true">&nbsp;</i> -->List</a>
        <a href="{{ url }}?{{ display_grid_url }}" class="grid"><svg class="svg-inline--fa fa-th fa-w-16" aria-hidden="true" focusable="false" data-prefix="fa" data-icon="th" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" data-fa-i2svg=""><path fill="currentColor" d="M149.333 56v80c0 13.255-10.745 24-24 24H24c-13.255 0-24-10.745-24-24V56c0-13.255 10.745-24 24-24h101.333c13.255 0 24 10.745 24 24zm181.334 240v-80c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24h101.333c13.256 0 24.001-10.745 24.001-24zm32-240v80c0 13.255 10.745 24 24 24H488c13.255 0 24-10.745 24-24V56c0-13.255-10.745-24-24-24H386.667c-13.255 0-24 10.745-24 24zm-32 80V56c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24h101.333c13.256 0 24.001-10.745 24.001-24zm-205.334 56H24c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24h101.333c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24zM0 376v80c0 13.255 10.745 24 24 24h101.333c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H24c-13.255 0-24 10.745-24 24zm386.667-56H488c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H386.667c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24zm0 160H488c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H386.667c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24zM181.333 376v80c0 13.255 10.745 24 24 24h101.333c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24z"></path></svg><!-- <i class="fa fa-th" aria-hidden="true">&nbsp;</i> -->Grid</a>
        <a href="{{ url }}?{{ display_expanded_url }}" class="expanded"><svg class="svg-inline--fa fa-list fa-w-16" width="17" height="17" viewBox="0 0 17 17"  xmlns="http://www.w3.org/2000/svg">
        <path fill="currentColor" d="M0 5.67969V1.07812C0 0.58457 0.406027 0.1875 0.910714 0.1875H5.61607C5.86652 0.1875 6.07143 0.387891 6.07143 0.632812V2.11719C6.07143 2.36211 5.86652 2.5625 5.61607 2.5625H2.42857V5.67969C2.42857 5.92461 2.22366 6.125 1.97321 6.125H0.455357C0.204911 6.125 0 5.92461 0 5.67969ZM10.9286 0.632812V2.11719C10.9286 2.36211 11.1335 2.5625 11.3839 2.5625H14.5714V5.67969C14.5714 5.92461 14.7763 6.125 15.0268 6.125H16.5446C16.7951 6.125 17 5.92461 17 5.67969V1.07812C17 0.58457 16.594 0.1875 16.0893 0.1875H11.3839C11.1335 0.1875 10.9286 0.387891 10.9286 0.632812ZM16.5446 10.875H15.0268C14.7763 10.875 14.5714 11.0754 14.5714 11.3203V14.4375H11.3839C11.1335 14.4375 10.9286 14.6379 10.9286 14.8828V16.3672C10.9286 16.6121 11.1335 16.8125 11.3839 16.8125H16.0893C16.594 16.8125 17 16.4154 17 15.9219V11.3203C17 11.0754 16.7951 10.875 16.5446 10.875ZM6.07143 16.3672V14.8828C6.07143 14.6379 5.86652 14.4375 5.61607 14.4375H2.42857V11.3203C2.42857 11.0754 2.22366 10.875 1.97321 10.875H0.455357C0.204911 10.875 0 11.0754 0 11.3203V15.9219C0 16.4154 0.406027 16.8125 0.910714 16.8125H5.61607C5.86652 16.8125 6.07143 16.6121 6.07143 16.3672Z" fill="#808080"/>
        </svg>
        </a>
        <a href="{{ url }}?{{ display_bibliographic_url }}" class="bibliographic"><svg class="svg-inline--fa fa-list fa-w-16" width="18" height="7" viewBox="0 0 18 7" xmlns="http://www.w3.org/2000/svg">
        <g clip-path="url(#clip0_781_4793)">
        <path fill="currentColor" d="M0.644071 2.30573H17.3615C17.5159 2.32127 17.6702 2.27583 17.7908 2.17928C17.9115 2.08274 17.9887 1.94292 18.0056 1.7903V0.510013C17.9873 0.358398 17.9095 0.219964 17.789 0.124578C17.6686 0.0291924 17.515 -0.0154936 17.3615 0.000125536H0.644071C0.490587 -0.0154936 0.337031 0.0291924 0.216548 0.124578C0.0960644 0.219964 0.0182937 0.358398 0 0.510013V1.7903C0.0169345 1.94292 0.0941332 2.08274 0.21477 2.17928C0.335407 2.27583 0.48972 2.32127 0.644071 2.30573ZM3.92035 7.00013H17.3615C17.5156 7.0142 17.6691 6.96819 17.7894 6.87192C17.9097 6.77565 17.9873 6.63669 18.0056 6.48466V5.20438C17.9873 5.05235 17.9097 4.91342 17.7894 4.81715C17.6691 4.72087 17.5156 4.67486 17.3615 4.68894H3.92035C3.76629 4.67486 3.61278 4.72087 3.49248 4.81715C3.37219 4.91342 3.2946 5.05235 3.27628 5.20438V6.48466C3.2946 6.63669 3.37219 6.77565 3.49248 6.87192C3.61278 6.96819 3.76629 7.0142 3.92035 7.00013Z" fill="#808080"/>
        </g>
        <defs>
        <clipPath id="clip0_781_4793">
        <rect width="18" height="7" fill="white"/>
        </clipPath>
        </defs>
        </svg>
        </a>
        <a href="/node/{{ view_content_id }}/about" class="about"><svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M0.64185 2.21117C0.499772 1.29437 1.28779 0.502872 2.20521 0.640909L9.69991 1.76857C9.98962 1.81216 10.2578 1.94715 10.4655 2.15386L18.7056 10.3578C19.2437 10.8935 19.2457 11.7641 18.7099 12.3023L12.3759 18.6643C11.8401 19.2024 10.9695 19.2044 10.4313 18.6686L2.19118 10.4647C1.98356 10.258 1.8474 9.99035 1.80253 9.70083L0.64185 2.21117ZM4.40442 4.01969C4.40442 4.2268 4.23653 4.39469 4.02942 4.39469C3.82232 4.39469 3.65442 4.2268 3.65442 4.01969C3.65442 3.81258 3.82232 3.64469 4.02942 3.64469C4.23653 3.64469 4.40442 3.81258 4.40442 4.01969ZM4.02942 5.64469C4.92689 5.64469 5.65442 4.91715 5.65442 4.01969C5.65442 3.12223 4.92689 2.39469 4.02942 2.39469C3.13196 2.39469 2.40442 3.12223 2.40442 4.01969C2.40442 4.91715 3.13196 5.64469 4.02942 5.64469Z" stroke="#808080" stroke-width="1.25"/>
        </svg>
        </a>
      </div>

    </div>
  {% endif %}
  {% if pager %}
    {{ pager }}
  {% endif %}

  {% if exposed %}
    <div class="view-filters">
      {{ exposed }}
    </div>
  {% endif %}
  {% if attachment_before %}
    <div class="attachment attachment-before search-results__header">
      {{ attachment_before }}
    </div>
  {% endif %}

  {% if rows %}
    <div class="view-content">
      {{ rows }}
    </div>
  {% elseif empty %}
    <div class="view-empty">
      {{ empty }}
    </div>
  {% endif %}

  {% if attachment_after %}
    <div class="attachment attachment-after">
      {{ attachment_after }}
    </div>
  {% endif %}

  {% if pager %}
    {{ pager }}
  {% endif %}

  {% if more %}
    {{ more }}
  {% endif %}

  {% if footer %}
    <div class="view-footer">
      {{ footer }}
    </div>
  {% endif %}
  {% if feed_icons %}
    <div class="feed-icons">
      {{ feed_icons }}
    </div>
  {% endif %}
</div>
